package com.css.simulation.resource.server.infra.db.mysql.mapper;


import api.common.pojo.param.model.OgtParam;
import api.common.pojo.po.model.OgtPO;
import api.common.pojo.vo.model.OgtVO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface OgtMapper {

    List<OgtVO> getOgtList(OgtParam ogtParam);

    OgtVO getOgtInfo(OgtParam ogtParam);

    List<OgtVO> checkOgtName(OgtPO ogtPO);

    void insert(OgtPO ogtPO);

    void update(OgtPO ogtPO);

    int delOgtById(OgtPO ogtPO);

}
